import java.io.*;
import java.util.*;

public class Good_Luck {
    public void solve() throws IOException {
        int a = nextInt();
        int b = nextInt();
        int c = nextInt();
        double f = (1.5*a+0.5*b-0.5*c)/1.5;
        if (f<0) {
            out.print(0);
        } else {
            long k = Math.round(f);
            if (f > k) {
                out.print(k+1);
            } else {
                out.print(k);
            }
        }

    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Good_Luck().run();
    }

}
