import java.io.*;
import java.util.*;

public class letstry {
    public void solve() throws IOException {
        int a = nextInt();
        int b = nextInt();
        int k = nextInt();
        int counter = 0;
        for(int i = (int)Math.pow(a, 0.5)-1;i*i <= b; i++){
            for (int j = (int)Math.pow(a, 1/3) - 1; j*j*j <= b; j++) {
                if (i > 0 && j > 0 && i*i >= a && Math.abs(i*i - j*j*j) <= k) {
                    counter++;
                }
            }
        }
        out.print(counter);
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new letstry().run();
    }

}
