import java.io.*;
import java.lang.reflect.Array;
import java.util.*;


public class letstry {
    static HashSet<Long> set = new HashSet<>();

    public static boolean find(long k, long mx){
        long a;
        long b;
        if (mx%2 == 1) {
           a = (long)(mx-1)/2;
           b = (long)(mx+1)/2;
        } else {
            a = (long)(mx/2) - 1;
            b = (long)(mx/2) + 1;
        }
        boolean flag = true;
        while(set.contains(a) || set.contains(b)){
            a-=1;
            b+=1;
            if (b == mx) {
                flag = false;
                break;
            }
        }
        if (flag) {
            if (a > 0 && b > 0) {
                set.add(a);
                boolean f = find(k, b);
                if (!f) {
                    set.remove(a);
                    set.add(b);
                    f = find(k, a);
                    if (!f) set.add(a);
                }
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

    public void solve() throws IOException {
        long k = nextLong();
        long s = nextLong();
        find(k, s);
        long count = 0;
        long sum = 0;
        for (long i = 1; i < s; i++) {
            if (!set.contains(i)) {
//                out.print(i + " ");
                count++;
            } else {
                sum+=i;
            }
            if (sum == s) {
                break;
            }
        }
        out.print(count);

    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new letstry().run();
    }

}